const EditPage = require('./site_editpage')
const AllPages = require('./site_pages')
const AllArticles = require('./site_articles')
const EditArticle = require('./site_editarticle')
const AllStaff = require('./stafflist')
const EditStaff = require('./editstaff')
const Dialogue = require('./dialogue')

window.adminRoutes = {
  pages: [AllPages, EditPage],
  articles: [AllArticles, EditArticle],
  staff: [AllStaff, EditStaff],
}

let dialogueMount = document.createElement('div')
dialogueMount.id = 'dialogue_mount'
document.body.appendChild(dialogueMount)

m.mount(dialogueMount, Dialogue)
